## calligra 25.08.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

string(TIMESTAMP CALLIGRA_YEAR "%Y")
add_compile_options("-DCALLIGRA_YEAR=${CALLIGRA_YEAR}")

project(calligra VERSION ${RELEASE_SERVICE_VERSION})

if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

set(REQUIRED_KF6_VERSION "6.0.0")
set(REQUIRED_QT_VERSION "6.5.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${REQUIRED_KF6_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
set(KDE_COMPILERSETTINGS_LEVEL 5.84.0) # set before including
include(KDECompilerSettings NO_POLICY_SCOPE)
# CMake macros
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckIncludeFile)
include(GenerateExportHeader)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
# own macros
include(MacroBoolTo01)
include(MacroOptionalFindPackage)
include(MacroEnsureVersion)

math(EXPR GENERIC_CALLIGRA_LIB_VERSION_MAJOR "${RELEASE_SERVICE_VERSION_MAJOR} + 15")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX CALLIGRA
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/calligra-version.h
    SOVERSION ${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}
)

############
#############
## Options ##
#############
############

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

#######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in CalligraProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)

# get the definitions of products, features and product sets
include(CalligraProducts.cmake)

set(PRODUCTSET_DEFAULT "ALL")

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
    set(CALLIGRA_SHOULD_BUILD_GEMINI FALSE)
    set(CALLIGRA_SHOULD_BUILD_BRAINDUMP FALSE)
    if(BUILD_UNMAINTAINED)
        set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED TRUE)
    else()
        set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED FALSE)
    endif()
else ()
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
    set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED TRUE)
    set(CALLIGRA_SHOULD_BUILD_GEMINI TRUE)
    set(CALLIGRA_SHOULD_BUILD_BRAINDUMP TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

##########################
###########################
## Look for ECM, Qt, KF6 ##
###########################
##########################

find_package(KF6 ${REQUIRED_KF6_VERSION} REQUIRED
    COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    GuiAddons
    I18n
    IconThemes
    ItemViews
    JobWidgets
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Sonnet
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Network
    PrintSupport
    Svg
    Test
    Widgets
    Xml
    Quick
    QuickControls2
)
find_package(Qt6 ${REQUIRED_QT_VERSION} QUIET
    COMPONENTS
    OpenGL
    QuickWidgets
    Sql
    WebEngineWidgets
)

qt_policy(SET QTP0001 NEW)


find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES
    TYPE REQUIRED
    PURPOSE "Encrypted communications"
)

set_package_properties(Qt6QuickWidgets PROPERTIES
    PURPOSE "Required for Calligra Gemini"
    TYPE RECOMMENDED
    )
set_package_properties(Qt6Sql PROPERTIES
    PURPOSE "Optional for Sheets' database connection"
    TYPE OPTIONAL
    )
set_package_properties(Qt6WebEngine PROPERTIES
    PURPOSE "Required for Braindump's Web shape"
    TYPE OPTIONAL
)

set(HAVE_OPENGL ${Qt6OpenGL_FOUND})

# use sane compile flags
remove_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_STRICT_ITERATORS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053000
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050600
    )

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT CALLIGRA_FLATPAK)
    add_definitions(-DWITH_QTDBUS)
    find_package(Qt6 ${REQUIRED_KF6_VERSION} REQUIRED
        COMPONENTS
        DBus
    )
    find_package(KF6 ${REQUIRED_KF6_VERSION} REQUIRED
        COMPONENTS
        DBusAddons
    )
endif()

# only with this definition will all the FOO_TEST_EXPORT macro do something
# TODO: check if this can be moved to only those places which make use of it,
# to reduce global compiler definitions that would trigger a recompile of
# everything on a change (like adding/removing tests to/from the build)
if(BUILD_TESTING)
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    if(NOT MINGW)
	include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
	add_definitions(-D_USE_MATH_DEFINES)
	add_definitions(-DNOMINMAX)
    endif()
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)

find_package(Qt6Keychain)
set_package_properties(Qt6Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

add_definitions(-DBOOST_ALL_NO_LIB)
find_package(Boost REQUIRED) # for pigment and stage
if (NOT Boost_FOUND)
    message(FATAL_ERROR "Did not find Boost. Boost is required for the core libraries, stage, sheets.")
endif ()

###########################
############################
## Optional dependencies  ##
############################
###########################


##
## Check for OpenEXR
##

macro_optional_find_package(Imath 3.0 CONFIG QUIET)
if(TARGET Imath::Imath)
    set(OPENEXR_LIBRARIES Imath::Imath)
    set(OpenEXR_FOUND TRUE)
else()
    macro_optional_find_package(OpenEXR)
endif()
macro_bool_to_01(OpenEXR_FOUND HAVE_OPENEXR)

##
## Test for GNU Scientific Library
##
macro_optional_find_package(GSL 1.7)
set_package_properties(GSL_FOUND PROPERTIES
    DESCRIPTION "GNU Scientific Library"
    URL "https://www.gnu.org/software/gsl"
    PURPOSE "Required by Sheets' solver plugin"
    TYPE OPTIONAL
    )
macro_bool_to_01(GSL_FOUND HAVE_GSL)
configure_file(config-gsl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gsl.h )

##
## Test for Phonon4Qt6
##
find_package(Phonon4Qt6 QUIET)
set_package_properties(Phonon4Qt6 PROPERTIES
    DESCRIPTION "Abstraction lib for multimedia applications"
    URL "https://www.kde.org/"
    PURPOSE "Required by Stage event actions and Videoshape plugin"
    TYPE OPTIONAL
    )

## PIM libraries detection disabled until semanticitems plugin is ported to Qt6
##
## Test for KF6CalendarCore
##
# find_package(KF6CalendarCore CONFIG QUIET)
# set_package_properties(KF6CalendarCore PROPERTIES
#     DESCRIPTION "KDE Calendar Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Event"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KF6Contacts
##
# find_package(KF6Contacts CONFIG QUIET)
# set_package_properties(KF6Contacts PROPERTIES
#     DESCRIPTION "KDE Address book Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Contact"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KPim6AkonadiCore
##
# find_package(KPim6Akonadi CONFIG QUIET)
# set_package_properties(KFPimAkonadi PROPERTIES
#     DESCRIPTION "Library for general Access to Akonadi"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic items Event and Contact"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KChart
##
macro_optional_find_package(KChart6 3.0.0 QUIET)
set_package_properties(KChart6 PROPERTIES
    DESCRIPTION "Library for creating business charts (part of KDiagram)"
    URL "https://www.kde.org/"
    PURPOSE "Required by Chart shape"
    TYPE RECOMMENDED
)

##
## Test for eigen3
##
macro_optional_find_package(Eigen3)
set_package_properties(Eigen3 PROPERTIES
    DESCRIPTION "C++ template library for linear algebra"
    URL "http://eigen.tuxfamily.org"
    PURPOSE "Required by Calligra Sheets"
    TYPE RECOMMENDED
    )

##
## Test for QCA2
##
macro_optional_find_package(Qca-qt6 2.1.0 QUIET)
set_package_properties(Qca-qt6 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "http:/download.kde.org/stable/qca-qt6"
    PURPOSE "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)"
    TYPE OPTIONAL
    )

##
## Test for soprano
##
# QT5TODO: push for released (and maintained) Qt6 version of Soprano, T462, T461
# macro_optional_find_package(Soprano)
set(Soprano_FOUND FALSE)
set_package_properties(Soprano PROPERTIES
    DESCRIPTION "RDF handling library"
    URL "http://soprano.sourceforge.net/"
    PURPOSE "Required to handle RDF metadata in ODF"
    TYPE OPTIONAL
    )
if(NOT Soprano_FOUND)
    set(SOPRANO_INCLUDE_DIR "")
endif()

##
## Test for marble
##
# Temporary fix to avoid looking for Marble unnecessarily
# Its only used in RDF so until soprano is ported there is no use for Marble
if (Soprano_FOUND)
    macro_optional_find_package(Marble CONFIG)
    set(Marble_FOUND FALSE)
    set_package_properties(Marble PROPERTIES
        DESCRIPTION "World Globe Widget library"
        URL "https://marble.kde.org/"
        PURPOSE "Required by RDF to show locations on a map"
        TYPE OPTIONAL
    )
else()
    message(STATUS "Soprano not found. Skipped looking for Marble.")
endif()

##
## Test for lcms
##
macro_optional_find_package(LCMS2 2.4)
set_package_properties(LCMS2 PROPERTIES
    DESCRIPTION "LittleCMS, a color management engine"
    URL "http://www.littlecms.com"
    PURPOSE "Will be used for color management"
    TYPE OPTIONAL
    )
if(LCMS2_FOUND)
    set(HAVE_LCMS2 TRUE)
endif()

##
## Test for Vc
##

set(HAVE_VC FALSE)
if (BUILD_VC)
    # NOTE: This tampers with cmake variables (at least cmake_minimum_required), so may give build problems
    set(OLD_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} )
    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
    if( NOT MSVC)
	macro_optional_find_package(Vc 1.1.0)
	set_package_properties(Vc PROPERTIES
	    DESCRIPTION "Portable, zero-overhead SIMD library for C++"
	    URL "https://github.com/VcDevel/Vc"
	    PURPOSE "Required by the pigment for vectorization"
	    TYPE OPTIONAL
	    )
	macro_bool_to_01(Vc_FOUND HAVE_VC)
	macro_bool_to_01(PACKAGERS_BUILD DO_PACKAGERS_BUILD)
    endif()

=== components/CMakeLists.txt ===
project(calligracomponentsplugin)

# TEMPORARY: for  Qt6/KF6 build porting phase deprecation warnings are only annoying noise
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
    add_definitions(-Wno-deprecated -Wno-deprecated-declarations)
endif ()

set(components_SRCS
    CalligraComponentsPlugin.cpp
    Document.cpp
    Enums.cpp
    Global.cpp
    ImageDataItem.cpp
    LinkArea.cpp
    View.cpp
    ViewController.cpp

    models/ContentsModel.cpp
    models/PresentationContentsModelImpl.cpp
    models/SpreadsheetContentsModelImpl.cpp
    models/TextContentsModelImpl.cpp

    impl/DocumentImpl.cpp
    impl/TextDocumentImpl.cpp
    impl/SpreadsheetImpl.cpp
    impl/PresentationImpl.cpp
    impl/PresentationKoPAView.cpp
    impl/ComponentsKoCanvasController.cpp
)

if(WIN32)
add_library(CalligraComponentsPlugin MODULE ${components_SRCS})
else()
add_library(CalligraComponentsPlugin SHARED ${components_SRCS})
endif()
target_include_directories(CalligraComponentsPlugin
    PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
)
target_link_libraries( CalligraComponentsPlugin
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    wordsprivate
    calligrasheetspartlib
    calligrastageprivate
    kotextlayout
    koplugin
)

install(TARGETS CalligraComponentsPlugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/calligra)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/calligra)

=== filters/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"calligrafilters\")

kde_enable_exceptions()

if(SHOULD_BUILD_LIB_KOODF2)
    add_subdirectory( libodf2 )
endif()

if(SHOULD_BUILD_LIB_KOODFREADER)
    add_subdirectory(libodfreader)
endif()

if(SHOULD_BUILD_LIB_MSO)
    add_subdirectory(libmso)
endif()

if(SHOULD_BUILD_LIB_KOMSOOXML)
    add_subdirectory( libmsooxml )
endif()

add_subdirectory(words)
add_subdirectory(stage)
add_subdirectory(sheets)
add_subdirectory(odg)
add_subdirectory(karbon)

=== karbon/CMakeLists.txt ===
project(karbon)

#Set the correct compiler options
if(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   message(STATUS "Karbon detected that you use a 32 bit processor.")
else()
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   message(STATUS "Karbon detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"karbon\")

include_directories(
    ${KOPAGEAPP_INCLUDES}
    ${FLAKE_INCLUDES}
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/karbon/ui
    ${CMAKE_SOURCE_DIR}/karbon/common
    ${CMAKE_SOURCE_DIR}/karbon/common/commands
)

add_subdirectory( common )
add_subdirectory( ui )
add_subdirectory( plugins )
add_subdirectory( data )
add_subdirectory( templates )

########### next target ###############

set(karbonpart_PART_SRCS KarbonFactoryInit.cpp )

add_library(karbonpart MODULE ${karbonpart_PART_SRCS})

target_link_libraries(karbonpart karbonui)

install(TARGETS karbonpart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/parts)

########### next target ###############

if(NOT RELEASE_BUILD)
    #add_definitions(-DMAINTANER_WANTED_SPLASH)
endif()

set(karbon_KDEINIT_SRCS main.cpp )

file(GLOB karbon_icons "${CMAKE_CURRENT_SOURCE_DIR}/pics/action/*-actions-*.png")
ecm_install_icons(ICONS ${karbon_icons} DESTINATION ${KDE_INSTALL_DATADIR}/karbon/icons)

file(GLOB karbon_app_icons "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/*-apps-calligrakarbon.png")
ecm_add_app_icon(kdeinit_app_ICONS_SRCS ICONS ${karbon_app_icons})
if(WIN32)
    set(_resourcefile "${CMAKE_CURRENT_BINARY_DIR}/kdeinit_app_ICONS_SRCS.rc")
endif()
ecm_install_icons(ICONS
    ${karbon_app_icons}
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/sc-apps-calligrakarbon.svgz"
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

add_executable( karbon ${karbon_KDEINIT_SRCS})

if (APPLE)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.karbon")
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Karbon")
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/karbon_KDEINIT_SRCS.icns DESTINATION ${KDE_INSTALL_BUNDLEDIR}/karbon.app/Contents/Resources)
endif()

target_link_libraries(karbon karbonui)

install(TARGETS karbon  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== braindump/data/CMakeLists.txt ===
add_subdirectory(states)
add_subdirectory(icons)

### Services ###
# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# braindump_extensions.desktop

### GUI files ###
install( FILES braindumpui.rc braindumpview.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/braindump)

### desktop files ###
install( PROGRAMS org.kde.calligra.braindump.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES org.kde.calligra.braindump.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.calligra.braindump.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

=== devtools/slidecompare/CMakeLists.txt ===
find_package(OOoSDK)

if(OOOSDK_FOUND)
	include_directories(
		${OOOSDK_INCLUDE_DIRS}
		${KOMAIN_INCLUDES}
		${KOPAGEAPP_INCLUDES}
                ../../filters/stage/powerpoint
		../../filters/libmso
	)

	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} -fPIC")

	qt_wrap_cpp(MOCFILES slideview.h combinedview.h slideloader.h
		dirslideloader.h oothread.h)

	add_executable(slidecompare
		slideview.cpp combinedview.cpp slidecompare.cpp
		kpresenterslideloader.cpp oothread.cpp ${MOCFILES})
	target_link_libraries(slidecompare ${OOOSDK_LIBRARIES} ${QT_LIBRARIES}
		Qt6::OpenGL komain kopageapp ppttoodplib)
	# it would be nice if this explicit dependency was not needed
	add_dependencies(slidecompare _oooheaders)
endif()

=== doc/sheets/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR calligrasheets)

=== filters/libmsooxml/CMakeLists.txt ===
include_directories(
    ${KOMAIN_INCLUDES}
    ${KOODF2_INCLUDES} # For charts
    ${CMAKE_CURRENT_SOURCE_DIRECTORY}
    ${CMAKE_SOURCE_DIR}/filters/libmso # For NumberFormatParser
    ${CMAKE_SOURCE_DIR}/filters/sheets/xlsx # For ChartExport  FIXME: Remove when moved to libodf2
)

########### next target ###############

set(msooxml_LIB_SRCS
    MsooXmlDebug.cpp
    MsooXmlGlobal.cpp
    MsooXmlUtils.cpp
    MsooXmlReader.cpp
    MsooXmlCommonReader.cpp
    MsooXmlThemesReader.cpp
    MsooXmlRelationshipsReader.cpp
    MsooXmlRelationships.cpp
    MsooXmlImport.cpp
    MsooXmlDocPropertiesReader.cpp
    MsooXmlDiagramReader.cpp
    MsooXmlDiagramReader_p.cpp
    ooxml_pole.cpp
    MsooXmlDrawingTableStyleReader.cpp
    MsooXmlDrawingTableStyle.cpp
    MsooXmlTableStyle.cpp
    VmlDrawingReader.cpp
    PredefinedShapeHelper.cpp
    ComplexShapeHandler.cpp
    ${CMAKE_SOURCE_DIR}/filters/sheets/xlsx/XlsxChartOdfWriter.cpp
    # TODO: move back to kolibs
    KoOdfExporter.cpp
)

add_library(komsooxml SHARED ${msooxml_LIB_SRCS})
generate_export_header(komsooxml BASE_NAME komsooxml)

target_link_libraries(komsooxml
    PUBLIC
        mso
        koodf2
        komain
    PRIVATE
        KF6::Archive
    )

if (TARGET qca-qt6)
    target_link_libraries(komsooxml PRIVATE qca-qt6)
    add_definitions(-DHAVE_QCA2=1)
endif()

set_target_properties(komsooxml PROPERTIES VERSION ${CALLIGRA_VERSION} SOVERSION ${CALLIGRA_SOVERSION} )
install(TARGETS komsooxml ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (FALSE) # these headers are private for now
install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/komsooxml_export.h
    MsooXmlContentTypes.h
    MsooXmlReader.h
    MsooXmlReader_p.h
    MsooXmlCommonReaderImpl.h
    MsooXmlCommonReader.h
    MsooXmlCommonReaderMethods.h
    MsooXmlSchemas.h
    MsooXmlThemesReader.h
    MsooXmlTheme.h
    MsooXmlUtils.h
    MsooXmlRelationships.h
    MsooXmlImport.h
    MsooXmlCommentsReader.h
    MsooXmlDocPropertiesReader.h
    MsooXmlNotesReader.h
    MsooXmlDiagramReader.h
    MsooXmlDiagramReader_p.h
    MsooXmlDrawingTableStyleReader.h
    MsooXmlDrawingTableStyle.h
    MsooXmlDrawingMLShared.h
    MsooXmlDrawingMLSharedImpl.h
    VmlDrawingReader.h
    ComplexShapeHandler.h
    PredefinedShapeHelper.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/msooxml COMPONENT Devel
)
endif ()

=== libs/pageapp/CMakeLists.txt ===
include_directories(
    ${KOPAGEAPP_INCLUDES}
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
add_subdirectory(tools)

### kopageapp ###
set( kopageapp_LIB_SRCS
     PageAppDebug.cpp
     KoPADocument.cpp
     KoShapeTraversal.cpp
     KoPAView.cpp
     KoPAViewBase.cpp
     KoPACanvas.cpp
     KoPACanvasItem.cpp
     KoPACanvasBase.cpp
     KoPASavingContext.cpp
     KoPAPixmapCache.cpp
     KoPAPageBase.cpp
     KoPAMasterPage.cpp
     KoPAPage.cpp
     KoPAPageContainerModel.cpp
     KoPAViewMode.cpp
     KoPAViewModeNormal.cpp
     KoPALoadingContext.cpp
     KoPAOdfPageSaveHelper.cpp
     KoPAPastePage.cpp
     KoPADocumentModel.cpp
     KoPAPageThumbnailModel.cpp
     KoPADocumentStructureDocker.cpp
     KoPAUtil.cpp
     KoPAPrintJob.cpp
     KoPATextPage.cpp
     KoPAPageProvider.cpp
     commands/KoPAPageInsertCommand.cpp
     commands/KoPAPageDeleteCommand.cpp
     commands/KoPAPageMoveCommand.cpp
     commands/KoPAChangeMasterPageCommand.cpp
     commands/KoPAChangePageLayoutCommand.cpp
     commands/KoPADisplayMasterShapesCommand.cpp
     commands/KoPADisplayMasterBackgroundCommand.cpp
     dialogs/KoPAMasterPageDialog.cpp
     dialogs/KoPAPageLayoutDialog.cpp
     dialogs/KoPAConfigureDialog.cpp
     widgets/KoPageNavigator.cpp
     widgets/KoPageNavigatorButton.cpp
     widgets/KoPABackgroundFillWidget.cpp
     tools/backgroundTool/KoPABackgroundTool.cpp
     tools/backgroundTool/KoPABackgroundToolWidget.cpp
)

ki18n_wrap_ui(kopageapp_LIB_SRCS
    tools/backgroundTool/BackgroundToolWidget.ui
)

add_library(kopageapp SHARED ${kopageapp_LIB_SRCS})
generate_export_header(kopageapp
    EXPORT_FILE_NAME kopageapp_generated_export.h)

target_link_libraries(kopageapp
    PUBLIC
        komain
    PRIVATE
        kotextlayout
)
set_target_properties(kopageapp PROPERTIES
    VERSION ${CALLIGRA_VERSION} SOVERSION ${CALLIGRA_SOVERSION}
)
install(TARGETS kopageapp  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (SHOULD_BUILD_DEVEL_HEADERS)

install(FILES
    kopageapp_export.h
    KoPACanvas.h
    KoPACanvasItem.h
    KoPACanvasBase.h
    KoPADocument.h
    KoPageApp.h
    KoPALoadingContext.h
    KoPAPage.h
    KoPAMasterPage.h
    KoPAPageBase.h
    KoPAPageContainerModel.h
    KoPASavingContext.h
    KoPAUtil.h
    KoPAView.h
    KoPAViewBase.h
    KoPAViewMode.h
    KoPAViewModeNormal.h
    tools/backgroundTool/KoPABackgroundTool.h
    DESTINATION
    ${KDE_INSTALL_INCLUDEDIR}/calligra COMPONENT Devel
)

endif()

=== libs/store/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

########### libkostore ###############

set(kostore_LIB_SRCS
    KoDirectoryStore.cpp
    KoEncryptedStore.cpp
    KoLZF.cpp
    KoStore.cpp
    KoStoreDevice.cpp
    KoTarStore.cpp
    KoXmlNS.cpp
    KoXmlReader.cpp
    KoXmlWriter.cpp
    KoZipStore.cpp
    StoreDebug.cpp
    KoNetAccess.cpp # temporary while porting
)

add_library(kostore SHARED ${kostore_LIB_SRCS})
generate_export_header(kostore BASE_NAME kostore)

target_link_libraries(kostore
    PUBLIC
        Qt6::Xml
        Qt6::Core
        Qt6::Widgets
        KF6::KIOCore
    PRIVATE
        Qt6::Gui
        KF6::Archive
        KF6::KIOWidgets
        KF6::WidgetsAddons
        KF6::I18n
        OpenSSL::SSL
        ${QTKEYCHAIN_LIBRARIES}
)

set_target_properties(kostore PROPERTIES
    VERSION ${CALLIGRA_VERSION} SOVERSION ${CALLIGRA_SOVERSION}
)
install(TARGETS kostore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

if (SHOULD_BUILD_DEVEL_HEADERS)

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kostore_export.h
    KoStore.h
DESTINATION ${KDE_INSTALL_INCLUDEDIR}/calligra COMPONENT Devel)

endif()

=== pics/hicolor/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-actions-borderpainter.png
        16-actions-insert-page-break.png
        16-actions-curve-connector.png
        16-actions-lines-connector.png
        16-actions-standard-connector.png
        16-actions-straight-connector.png
        16-actions-table.png
        22-actions-text-put-on-path.png
        22-actions-text-remove-from-path.png
        22-actions-artistictext-tool.png
        22-actions-edittext.png
        22-actions-select.png
        22-actions-table.png
        24-actions-insert-page-break.png
        32-actions-insert-endnote.png
        32-actions-insert-footnote.png
        32-actions-insert-page-break.png
        32-actions-insert-table-of-contents.png
        32-actions-shape-choose.png
        32-actions-table.png
        32-mimetypes-x-shape-connection.png
        32-mimetypes-x-shape-image.png
        32-mimetypes-x-shape-text.png
        48-actions-table.png
        sc-actions-text-put-on-path.svg
        sc-actions-text-remove-from-path.svg
        sc-actions-artistictext-tool.svg
        sc-actions-table.svgz
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/icons
    THEME hicolor
)

=== plugins/colorengines/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kocolorspaces\")

if(LCMS2_FOUND)
  add_subdirectory(lcms2)
endif()

=== debian/changelog ===
calligra (1:25.08.2+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Oct 2025 08:45:53 +0100

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libboost-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgsl-dev,
               libkchart-dev (>= 3.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               liblcms2-dev (>= 2.4),
               libodfgen-dev,
               libopenexr-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpoppler-private-dev (>= 22.02.0~),
               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
               libqca-qt6-dev (>= 2.1.0~),
               librevenge-dev,
               libssl-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               okular-dev (>= 4:25.08.2~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               pstoedit,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               shared-mime-info,
               vc-dev (>= 1.1.0~) [any-amd64 any-i386 arm64 armel armhf],
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://www.calligra.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Rules-Requires-Root: no

Package: calligra
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         calligrastage (= ${binary:Version}),
         calligrawords (= ${binary:Version}),
         karbon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: calligra-libs (<< 1:24.12.2+dfsg-2~),
Replaces: calligra-libs (<< 1:24.12.2+dfsg-2~),
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Homepage: https://www.calligra.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Depends: calligrasheets-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter,
Homepage: https://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrasheets-data
Architecture: all
Section: math
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/sheets/
Description: data files for Sheets spreadsheet
 This package contains architecture-independent data files for Sheets,
 the spreadsheet shipped with the Calligra Suite.
 .
 See the calligrasheets package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Depends: calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: https://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Depends: calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: https://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application. You can
 easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. Stage is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes Microsoft
 Office. Examples of its easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the Calligra Suite.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/stage/
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca-qt6-plugins
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Suggests: khelpcenter
Description: common shared data for the Calligra Suite
 This package provides the architecture-independent data that is shared
 amongst the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odp
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODP documents
 This package provides a backend for Okular to view OpenDocument Presentation
 (ODP) documents, but also PowerPoint and PPTX documents.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odt
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODT documents
 This package provides a backend for Okular to view OpenDocument Text
 (ODT) documents, but also DOC, DOCX, RTF and WPD documents.
 .
 This package is part of the Calligra Suite.

## calligra 25.08.2+p24.04+vstable+git20251019.0000

=== extras/CMakeLists.txt ===
if(SHOULD_BUILD_APP_CALLIGRA)
    #add_subdirectory( calligra )
endif()

if (SHOULD_BUILD_APP_CONVERTER)
    add_subdirectory( converter )
endif()

if (SHOULD_BUILD_FILEMANAGER_PROPERTIES)
    add_subdirectory( properties )
endif()

if (SHOULD_BUILD_FILEMANAGER_THUMBNAIL)
    add_subdirectory( thumbnail )
endif()

if (SHOULD_BUILD_FILEMANAGER_QUICKPRINT)
    add_subdirectory( quickprint )
endif()

if(SHOULD_BUILD_FILEMANAGER_TEMPLATES)
    add_subdirectory( filemanagertemplates )
endif()

if(SHOULD_BUILD_OKULAR_GENERATOR_ODP)
    add_subdirectory( okularodpgenerator )
endif()

if(SHOULD_BUILD_OKULAR_GENERATOR_ODT)
    add_subdirectory( okularodtgenerator )
endif()

=== debian/changelog ===
calligra (1:25.08.2+p24.04+vstable+git20251019.0000-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:00:48 +0000

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Uploaders: Adrien Grellier <perso@adrieng.fr>,
           Raúl Sánchez Siles <rasasi78@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cauchy-dev,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kf6-threadweaver-dev,
               kpim6-akonadi-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgit2-dev,
               libgsl-dev,
               libicu-dev,
               libilmbase-dev,
               libimath-dev,
               libjpeg-dev,
               libkchart6-dev,
               libkgantt6-dev,
               libkproperty3-dev,
               libkreport3-dev,
               liblcms2-dev (>= 2.4),
               libmarble-dev,
               libodfgen-dev,
               libopenjpeg-dev | libopenjp2-7-dev,
               libphonon4qt6-dev,
               libpng-dev,
               libqca-qt6-2-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libxbase64-dev,
               libxml2-dev,
               okular-dev,
               pkg-config,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               pstoedit,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               vc-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://www.calligra.org/
Vcs-Git: https://invent.kde.org/neon/extras/calligra.git
Vcs-Browser: https://invent.kde.org/neon/extras/calligra
Maintainer: Neon CI <neon@kde.org>

Package: calligra
Architecture: any
Depends: qt6-base, qt6-svg, ${misc:Depends}, ${shlibs:Depends}
Breaks: braindump (<< 1:4),
        calligra (<< 1:4),
        calligra-data (<< 1:4),
        calligra-gemini (<< 1:4),
        calligra-gemini-data (<< 1:4),
        calligra-libs (<< 1:4),
        calligra-reports-map-element (<< 1:4),
        calligra-reports-web-element (<< 1:4),
        calligraactive (<< 1:4),
        calligraauthor (<< 1:4),
        calligraflow (<< 1:4),
        calligraflow-data (<< 1:4),
        calligragemini (<< 1:4),
        calligrasheets (<< 1:4),
        calligrasheets-data (<< 1:4),
        calligrastage (<< 1:4),
        calligrastage-data (<< 1:4),
        calligrawords (<< 1:4),
        calligrawords-common (<< 1:4),
        calligrawords-data (<< 1:4),
        karbon (<< 1:4),
        okular-backend-odp (<< 1:4),
        okular-backend-odt (<< 1:4)
Replaces: braindump (<< 1:4),
          calligra (<< 1:4),
          calligra-data (<< 1:4),
          calligra-gemini (<< 1:4),
          calligra-gemini-data (<< 1:4),
          calligra-libs (<< 1:4),
          calligra-reports-map-element (<< 1:4),
          calligra-reports-web-element (<< 1:4),
          calligraactive (<< 1:4),
          calligraauthor (<< 1:4),
          calligraflow (<< 1:4),
          calligraflow-data (<< 1:4),
          calligragemini (<< 1:4),
          calligrasheets (<< 1:4),
          calligrasheets-data (<< 1:4),
          calligrastage (<< 1:4),
          calligrastage-data (<< 1:4),
          calligrawords (<< 1:4),
          calligrawords-common (<< 1:4),
          calligrawords-data (<< 1:4),
          karbon (<< 1:4),
          okular-backend-odp (<< 1:4),
          okular-backend-odt (<< 1:4)
Description: extensive productivity and creative suite
 This suite is a set of applications written to help you to accomplish your
 work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, with raster
 and vector graphics tools, etc.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>


lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_install:
	dh_auto_install
	# Remove development stuff:
	# - symlinks of libraries
	find debian/calligra/usr/lib -name '*.so' -type l -print -delete
	# - headers
	rm -rfv debian/calligra/usr/include
	# - cmake configuration files
	rm -rfv debian/calligra/usr/share/kde4/apps/cmake
	# Remove mimetypes already provided by shared-mime-info
	rm -f debian/calligra/usr/share/mime/packages/msooxml-all.xml
	rm -f debian/calligra/usr/share/mime/packages/x-iwork-keynote-sffkey.xml
	# remove calligra plan translations now in separated plan source
	rm -f debian/calligra/usr/share/locale/*/*/*plan*

.PHONY: override_dh_auto_test

## calligra 25.08.2+p24.04+vstable+git20251020.0944

=== debian/changelog ===
calligra (1:25.08.2+p24.04+vstable+git20251020.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 09:44:13 +0000

## calligra 25.08.3

=== debian/changelog ===
calligra (1:25.08.3-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 06:09:55 +0000

calligra (1:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:51 +1000
